package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"],
        beego.ControllerComments{
            Method: "ContractList",
            Router: `/contract_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"],
        beego.ControllerComments{
            Method: "EditSign",
            Router: `/edit_sign`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"],
        beego.ControllerComments{
            Method: "Enable",
            Router: `/enable`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"],
        beego.ControllerComments{
            Method: "MoveSeller",
            Router: `/move_seller`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"],
        beego.ControllerComments{
            Method: "OperateRecordList",
            Router: `/operate_record_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"],
        beego.ControllerComments{
            Method: "PageList",
            Router: `/page_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"],
        beego.ControllerComments{
            Method: "RemoveSign",
            Router: `/remove_sign`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessController"],
        beego.ControllerComments{
            Method: "Signing",
            Router: `/signing`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"],
        beego.ControllerComments{
            Method: "SystemApiConfig",
            Router: `/api/config/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"],
        beego.ControllerComments{
            Method: "SystemApiConfigSet",
            Router: `/api/config/set`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/menu/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"],
        beego.ControllerComments{
            Method: "Edit",
            Router: `/menu/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"],
        beego.ControllerComments{
            Method: "IconAdd",
            Router: `/menu/icon/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"],
        beego.ControllerComments{
            Method: "IconList",
            Router: `/menu/icon/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/menu/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"],
        beego.ControllerComments{
            Method: "SaveRelate",
            Router: `/menu/relate/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/eta_business:EtaBusinessMenuController"],
        beego.ControllerComments{
            Method: "Remove",
            Router: `/menu/remove`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocClassifyController"],
        beego.ControllerComments{
            Method: "AddClassify",
            Router: `/classify/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocClassifyController"],
        beego.ControllerComments{
            Method: "DelClassify",
            Router: `/classify/delete`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocClassifyController"],
        beego.ControllerComments{
            Method: "EditClassify",
            Router: `/classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocClassifyController"],
        beego.ControllerComments{
            Method: "ListClassify",
            Router: `/classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocClassifyController"],
        beego.ControllerComments{
            Method: "ClassifyMove",
            Router: `/classify/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocClassifyController"],
        beego.ControllerComments{
            Method: "EditClassifyVisible",
            Router: `/classify/visible/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocController"],
        beego.ControllerComments{
            Method: "Delete",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocController"],
        beego.ControllerComments{
            Method: "Detail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocController"],
        beego.ControllerComments{
            Method: "ListReport",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers/help_doc:HelpDocController"],
        beego.ControllerComments{
            Method: "PublishReport",
            Router: `/publish`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:AdminController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:AdminController"],
        beego.ControllerComments{
            Method: "GetBusinessAdmin",
            Router: `/business/admin`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassifyCheck",
            Router: `/chart_classify/delete/check`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyItems",
            Router: `/chart_classify/items`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyListV2",
            Router: `/chart_classify/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"],
        beego.ControllerComments{
            Method: "AddChartClassify",
            Router: `/classify/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyChartListV2",
            Router: `/classify/chart_list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"],
        beego.ControllerComments{
            Method: "DeleteChartClassify",
            Router: `/classify/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"],
        beego.ControllerComments{
            Method: "EditChartClassify",
            Router: `/classify/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"],
        beego.ControllerComments{
            Method: "ChartClassifyMove",
            Router: `/classify/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"],
        beego.ControllerComments{
            Method: "SimpleList",
            Router: `/classify/simple`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"],
        beego.ControllerComments{
            Method: "ClassifyTree",
            Router: `/classify/tree`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartClassifyController"],
        beego.ControllerComments{
            Method: "ModifyChartClassify",
            Router: `/modify_chart_classify`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoDetail",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartList",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartInfoController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ChartInfoController"],
        beego.ControllerComments{
            Method: "ChartInfoSearchByEs",
            Router: `/search_by_es`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "AccountTransfer",
            Router: `/account/transfer`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "Add",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "AccountList",
            Router: `/apply/accountlist`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "Approval",
            Router: `/apply/approval`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "ApplyDel",
            Router: `/apply/del`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "ApplyEnable",
            Router: `/apply/enable`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "ApplyList",
            Router: `/apply/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "MyList",
            Router: `/apply/myList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "ApplyReject",
            Router: `/apply/reject`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "ApplyRevoke",
            Router: `/apply/revoke`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "EnableAccountList",
            Router: `/enable/account/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "List",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "QuestionnaireAnswerList",
            Router: `/questionnaire/answerList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "QuestionnairesDel",
            Router: `/questionnaire/del`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "QuestionnaireDetail",
            Router: `/questionnaire/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "QuestionnaireDetailList",
            Router: `/questionnaire/detailList`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "QuestionnaireList",
            Router: `/questionnaire/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "QuestionnairesSave",
            Router: `/questionnaire/save`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:ETATrialController"],
        beego.ControllerComments{
            Method: "QuestionnairesStatistical",
            Router: `/questionnaire/statistical`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:EdbInfoController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:EdbInfoController"],
        beego.ControllerComments{
            Method: "TraceEdbInfo",
            Router: `/trace`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:LoginController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:LoginController"],
        beego.ControllerComments{
            Method: "AuthCodeLogin",
            Router: `/auth_code_login`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "SysMenuButtons",
            Router: `/menu/buttons`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "SysMenuList",
            Router: `/menu/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "AllSysRole",
            Router: `/role/all`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "ListSysRole",
            Router: `/role/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "SysRoleMenusAdd",
            Router: `/role/menu/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:SysRoleController"] = append(beego.GlobalControllerRouter["eta/eta_forum_admin/controllers:SysRoleController"],
        beego.ControllerComments{
            Method: "SysRoleMenusList",
            Router: `/role/menu/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
